Stream a run via autopilot alias route.
curl --request POST \
--url https://openagents.com/api/autopilots/{autopilot}/stream \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"messages": [
{
"content": "<string>",
"id": "<string>",
"parts": [
{
"text": "<string>",
"type": "<string>"
}
],
"role": "user"
}
]
}
'import requests
url = "https://openagents.com/api/autopilots/{autopilot}/stream"
payload = { "messages": [
{
"content": "<string>",
"id": "<string>",
"parts": [
{
"text": "<string>",
"type": "<string>"
}
],
"role": "user"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
messages: [
{
content: '<string>',
id: '<string>',
parts: [{text: '<string>', type: '<string>'}],
role: 'user'
}
]
})
};
fetch('https://openagents.com/api/autopilots/{autopilot}/stream', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"data: {\"type\":\"start\"}\n\ndata: [DONE]\n\n"{
"message": "Unauthenticated."
}{
"message": "Not found."
}{
"errors": {},
"message": "The given data was invalid."
}Autopilot
Stream a run via autopilot alias route.
Resolves the owned autopilot, ensures a compatible thread exists, and then forwards to the canonical chat stream runtime.
POST
/
api
/
autopilots
/
{autopilot}
/
stream
Stream a run via autopilot alias route.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Full client-side message history; backend executes using the latest user message. L402 tool contract: maxSpendMsats is canonical (maxSpendSats temporary alias) and requireApproval is canonical (approvalRequired temporary alias).
Show child attributes
Show child attributes
Response
Server-sent event stream (Vercel AI data stream protocol)
The response is of type string.
Example:
"data: {\"type\":\"start\"}\n\ndata: [DONE]\n\n"
⌘I